Gentoo Archives: gentoo-commits

From: "Samuli Suominen (drac)" <drac@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in app-editors/lpe/files: lpe-1.2.6.13-slang-2.patch digest-lpe-1.2.6.13
Date: Thu, 24 Jan 2008 11:49:23
Message-Id: E1JI0a9-0002ic-43@stork.gentoo.org
drac        08/01/24 11:49:21

  Added:                lpe-1.2.6.13-slang-2.patch digest-lpe-1.2.6.13
  Log:
  Version bump and fix repoman warnings for old versions and make them depend on slang-1.
  (Portage version: 2.1.4)

Revision  Changes    Path
1.1                  app-editors/lpe/files/lpe-1.2.6.13-slang-2.patch

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-editors/lpe/files/lpe-1.2.6.13-slang-2.patch?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-editors/lpe/files/lpe-1.2.6.13-slang-2.patch?rev=1.1&content-type=text/plain

Index: lpe-1.2.6.13-slang-2.patch
===================================================================
diff -ur lpe-1.2.6.13.orig/configure.in lpe-1.2.6.13/configure.in
--- lpe-1.2.6.13.orig/configure.in	2005-06-20 07:20:31.000000000 +0300
+++ lpe-1.2.6.13/configure.in	2008-01-24 13:33:36.000000000 +0200
@@ -106,11 +106,11 @@
 dnl AC_MSG_WARN("$PACKAGE depends on dynamic libraries.")
 ])])])
 AC_SUBST(DL_LIB)
-AC_CHECK_LIB(slang,SLang_init_tty,[SLANG_LIB="-lslang"],[
+AC_CHECK_LIB(slang-2,SLang_init_tty,[SLANG_LIB="-lslang-2"],[
 dnl reset the cache variable so configure will even bother to check -ltermcap
 unset ac_cv_lib_slang_SLang_init_tty
-AC_CHECK_LIB(slang,SLang_init_tty,[SLANG_LIB="-lslang -ltermcap"],[
-AC_MSG_ERROR([no slang library found.  $PACKAGE depends on SLang.])
+AC_CHECK_LIB(slang-2,SLang_init_tty,[SLANG_LIB="-lslang-2 -ltermcap"],[
+AC_MSG_ERROR([no slang-2 library found.  $PACKAGE depends on SLang.])
 ,-ltermcap])])
 AC_SUBST(SLANG_LIB)
 
@@ -144,8 +144,8 @@
 AC_CHECK_HEADERS(fcntl.h)
 AC_CHECK_HEADER(slang.h,
  [SLANG_H=slang.h],
- [AC_CHECK_HEADER(slang/slang.h,
-  [SLANG_H=slang/slang.h],
+ [AC_CHECK_HEADER(slang-2/slang.h,
+  [SLANG_H=slang-2/slang.h],
   [AC_MSG_ERROR([slang.h is needed to compile $PACKAGE])])])
 AC_DEFINE_UNQUOTED(SLANG_H,"${SLANG_H}")
 



1.1                  app-editors/lpe/files/digest-lpe-1.2.6.13

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-editors/lpe/files/digest-lpe-1.2.6.13?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-editors/lpe/files/digest-lpe-1.2.6.13?rev=1.1&content-type=text/plain

Index: digest-lpe-1.2.6.13
===================================================================
MD5 430a8cd6ec6a088bdc4f8d6b9859959f lpe_1.2.6.13-0.1.tar.gz 600523
RMD160 7439e666e4927c686ba654ded2e61da47ec22944 lpe_1.2.6.13-0.1.tar.gz 600523
SHA256 7828147e8b8bcf518e6d7f2241b480fe3bbaa1285d3c7c74b8c7160222d76816 lpe_1.2.6.13-0.1.tar.gz 600523



-- 
gentoo-commits@l.g.o mailing list